CREATE ROLE cabar_base_role;
ALTER ROLE cabar_base_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE cabar_base_role IS 'Base role that all other cabar roles belong to.';
CREATE ROLE db_global__app_owner_role;
ALTER ROLE db_global__app_owner_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global__app_owner_role IS 'Role that ownes main application objects';
CREATE ROLE db_global__app_role;
ALTER ROLE db_global__app_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global__app_role IS 'Role used by main application software';
CREATE ROLE db_global__developer_role;
ALTER ROLE db_global__developer_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global__developer_role IS 'Grants read-only access to developers';
CREATE ROLE db_global__ops_support_role;
ALTER ROLE db_global__ops_support_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global__ops_support_role IS 'Grants developer read-only access as well as some write access to operations staff';
CREATE ROLE db_global__read_role;
ALTER ROLE db_global__read_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global__read_role IS 'Base read role for non-sensitive objects (akin to public)';
CREATE ROLE db_global_owner;
ALTER ROLE db_global_owner WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global_owner IS 'Owner of all objects in the db_global cabar component.';
CREATE ROLE db_global_owner_role;
ALTER ROLE db_global_owner_role WITH NOSUPERUSER NOINHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE db_global_owner_role IS 'Role that allows others to assume the role of db_global_owner. THIS IS WHAT YOU GRANT TO USERS.';
CREATE ROLE object_monitor__user_role;
ALTER ROLE object_monitor__user_role WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
COMMENT ON ROLE object_monitor__user_role IS 'Role that is allowed to register objects in object monitors';
CREATE ROLE skytools;
ALTER ROLE skytools WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB LOGIN;
CREATE ROLE su;
ALTER ROLE su WITH SUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
CREATE ROLE su_role;
ALTER ROLE su_role WITH NOSUPERUSER NOINHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
GRANT cabar_base_role TO db_global_owner ;
GRANT db_global__app_role TO db_global__app_owner_role ;
GRANT db_global__developer_role TO db_global__app_role ;
GRANT db_global__developer_role TO db_global__ops_support_role ;
GRANT db_global__read_role TO db_global__developer_role ;
GRANT db_global_owner TO db_global_owner_role ;
GRANT su TO su_role ;
